Customers

Update Customer By Reference

Update a customer record for the authenticated business using the customer reference.

PUT
/api/v1/customer/update-by-reference/{customerReference}

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

customerReference*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/customer/update-by-reference/dp_cust_fljkgq5ycgnbavu" \  -H "Content-Type: application/json" \  -d '{}'
{
  "requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
  "requestTimestamp": "2025-07-16 09:15:00",
  "message": "Customer Updated",
  "statusCode": 200,
  "data": {
    "id": "019a1639-ce25-70b7-ab20-16fcb2bac023",
    "firstName": "Laurianne",
    "lastName": "MacGyver",
    "businessName": "MacDonald",
    "type": "business",
    "email": "Bianka_Cole@yahoo.com",
    "phoneNumber": "+2347009069130",
    "reference": "dp_cust_iovciv7ovnw1qcx",
    "businessState": "TEST",
    "isBlacklisted": false,
    "hasWallet": true,
    "wallet": {
      "id": "469e02df-43ae-46e7-8ebc-0b0ab5e19303",
      "walletId": "469e02df-43ae-46e7-8ebc-0b0ab5e19304",
      "businessId": "469e02df-43ae-46e7-8ebc-0b0ab5e19305",
      "currency": "NGN",
      "category": "customer",
      "type": "multi_use",
      "status": "active",
      "accountNumber": "6754358291",
      "accountName": "dp_pay/wilkinson, sawayn and sch/wilkinson, sawayn and schroeder ltd",
      "accountReference": "PL_DUPLO_0863278",
      "provider": "duplo"
    },
    "status": "ACTIVE",
    "source": "API",
    "createdAt": "2025-10-24 12:37:58"
  }
}
{
  "message": "Invalid request data.",
  "statusCode": 400
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2025-09-04 11:49:40",
  "message": "Invalid API key.",
  "statusCode": 401
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2025-09-04 11:49:40",
  "message": "Customer not found.",
  "statusCode": 404
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2025-09-04 11:49:40",
  "message": "The given data was invalid.",
  "errors": {
    "phone": [
      "The phone field must be a valid phone number."
    ]
  },
  "statusCode": 422
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2025-09-04 11:49:40",
  "message": "An error occurred while processing your request.",
  "statusCode": 500
}

How is this guide?

Last updated on